Results 1 to 2 of 2
  1. #1
    Join Date
    Dec 2005
    Posts
    2

    Unanswered: Problem with v9 client and 2000i server engine

    Hello All,
    I am trying to use the version 9 client with the version 7 (2000i) server engine. I get the following error when clicking the Test button when creating a system DSN.
    [Pervasive][ODBC Client Interface][Client LNA]Disconnect Error; Transaction Rolled back

    I have tried this on two PC's. One is Windows 2000, the other is WindowsXP. When I had the 2000i client on them I could connect to the 2000i server but not the v9 server. I need to be able to have a client read/write to both versions since the process that runs on the PC will transfer data between databases and not all can be upgraded at the same time. Also, the 2000i server is on Netware and the v9 server in on Windows.

    Any help would be appreciated.

    Thanks,
    BudC
    Last edited by BudC; 12-08-05 at 13:33.

  2. #2
    Join Date
    Dec 2001
    Posts
    1,109
    Provided Answers: 4
    You can't use the v9 client with older engines. PSQL v9 added ODBC 3.5 compatibility and the older versions don't know how to handle it.
    You might be able to use the PSQL 2000i client and access the V9 engine but I haven't tried it (and Pervasive hasn't tested it most likely).
    Mirtheil Software
    Certified Pervasive Developer
    Certified Pervasive Technician
    Custom Btrieve/VB development
    http://www.mirtheil.com
    I do not answer questions by email. Please post on the forum.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •